Bug 1024364 - Synced repo with i18n'd package groups show up in Chinese
Synced repo with i18n'd package groups show up in Chinese
Status: CLOSED DUPLICATE of bug 1024362
Product: Pulp
Classification: Community
Component: rpm-support (Show other bugs)
Master
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 2.3.0
Assigned To: pulp-bugs
pulp-qe-list
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-29 10:08 EDT by Preethi Thomas
Modified: 2013-10-29 10:09 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-29 10:09:40 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Preethi Thomas 2013-10-29 10:08:00 EDT
Description of problem:

When syncing repos with package groups that have been translated pulp seems to be using the Chinese name and description.

I have reproduced this both using the CDN and EPEL on two different servers.  Heres the epel url i used:

http://dl.fedoraproject.org/pub/epel/6/x86_64/

 


Version-Release number of selected component (if applicable):

pulp-server-2.2.0-0.28.beta.el6.noarch

How reproducible:
Always

Steps to Reproduce:
1.  Create a repo using epel as the feed url
2.  Sync the repo
3.  List the package groups

Actual results:

Package group names & description show up in Chinese 

Expected results:

Package group names & description are not translated



Here's an example of json for the package group:

{
    "_content_type_id": "package_group", 
    "_id": "4ffcd9d6-e976-438b-b786-a986a6433a7a", 
    "_ns": "units_package_group", 
    "_storage_path": null, 
    "conditional_package_names": [], 
    "default": false, 
    "default_package_names": [
        "GConf2-devel", 
        "alsa-lib-devel", 
        "audit-libs-devel", 
        "binutils-devel", 
        "boost-devel", 
        "bzip2-devel", 
        "cyrus-sasl-devel", 
        "dbus-glib-devel", 
        "elfutils-devel", 
        "elfutils-libelf-devel", 
        "evolution-data-server-devel", 
        "gnome-desktop-devel", 
        "gnome-keyring-devel", 
        "gstreamer-devel", 
        "gvfs-devel", 
        "hmaccalc", 
        "java-1.6.0-openjdk-devel", 
        "libacl-devel", 
        "libattr-devel", 
        "libcanberra-devel", 
        "libcap-ng-devel", 
        "libcgroup-devel", 
        "libcurl-devel", 
        "libgnome-devel", 
        "libnotify-devel", 
        "librsvg2-devel", 
        "libselinux-devel", 
        "libsoup-devel", 
        "mysql-devel", 
        "perl-ExtUtils-MakeMaker", 
        "perl-devel", 
        "polkit-devel", 
        "postgresql-devel", 
        "pulseaudio-libs-devel", 
        "pygtk2-devel", 
        "python-devel", 
        "readline-devel", 
        "sqlite-devel"
    ], 
    "description": "\u7528\u65bc\u958b\u767c\u61c9\u7528\u7a0b\u5f0f\u7684\u984d\u5916\u958b\u767c\u6a19\u982d\u4ee5\u53ca\u51fd\u5f0f\u5eab", 
    "display_order": 1024, 
    "id": "additional-devel", 
    "langonly": null, 
    "mandatory_package_names": [], 
    "name": "\u984d\u5916\u958b\u767c", 
    "optional_package_names": [
        "PyQt4-devel", 
        "SDL-devel", 
        "cups-devel", 
        "e2fsprogs-devel", 
        "expat-devel", 
        "fuse-devel", 
        "gmp-devel", 
        "gnutls-devel", 
        "gstreamer-plugins-base-devel", 
        "httpd-devel", 
        "hunspell-devel", 
        "iptables-devel", 
        "junit", 
        "kdebase-devel", 
        "kdebase-workspace-devel", 
        "kdegraphics-devel", 
        "kdelibs-apidocs", 
        "kdelibs-devel", 
        "kdemultimedia-devel", 
        "kdenetwork-devel", 
        "kdepim-devel", 
        "kdepimlibs-devel", 
        "kdesdk-devel", 
        "libXau-devel", 
        "libXaw-devel", 
        "libXinerama-devel", 
        "libXmu-devel", 
        "libXpm-devel", 
        "libXrandr-devel", 
        "libaio-devel", 
        "libblkid-devel", 
        "libbonobo-devel", 
        "libcap-devel", 
        "libdrm-devel", 
        "libgcrypt-devel", 
        "libglade2-devel", 
        "libgnomeui-devel", 
        "libgudev1-devel", 
        "libhugetlbfs-devel", 
        "libibverbs-devel", 
        "libnl-devel", 
        "libtiff-devel", 
        "libtopology-devel", 
        "libudev-devel", 
        "libusb-devel", 
        "libuuid-devel", 
        "libxslt-devel", 
        "net-snmp-devel", 
        "numactl-devel", 
        "openmotif-devel", 
        "papi-devel", 
        "pcre-devel", 
        "perl-Test-Pod", 
        "perl-Test-Pod-Coverage", 
        "popt-devel", 
        "sane-backends-devel", 
        "startup-notification-devel", 
        "tcl-devel", 
        "tcp_wrappers-devel", 
        "tk-devel", 
        "unique-devel", 
        "unixODBC-devel", 
        "xorg-x11-proto-devel", 
        "xz-devel"
    ], 
    "repo_id": "ACME_Corporation-Red_Hat_Enterprise_Linux_Server-Red_Hat_Enterprise_Linux_6_Server_RPMs_x86_64_6_1", 
    "translated_description": {}, 
    "translated_name": {}, 
    "user_visible": true
}



And from pulp-admiN:


Conditional Package Names: 
Default:                   False
Default Package Names:     
Description:               提供了一個介面以存取和控制虛擬化客
                           �端以及 container。
Display Order:             1024
Id:                        virtualization-platform
Langonly:                  None
Mandatory Package Names:   libvirt, libvirt-client
Name:                      虛擬化平台
Optional Package Names:    fence-virtd-libvirt, fence-virtd-multicast,
                           fence-virtd-serial, libvirt-cim, libvirt-java,
                           libvirt-qpid, perl-Sys-Virt
Repo Id:                   ACME_Corporation-Red_Hat_Enterprise_Linux_Server-Red_
                           Hat_Enterprise_Linux_6_Server_RPMs_x86_64_6_1
Translated Description:    
Translated Name:           
User Visible:              True

--- Additional comment from Michael Hrivnak on 2013-10-21 12:16:05 EDT ---

https://github.com/pulp/pulp_rpm/pull/359

--- Additional comment from Jeff Ortel on 2013-10-23 19:27:09 EDT ---

build: 2.3.0-0.24.beta

--- Additional comment from Preethi Thomas on 2013-10-29 09:52:44 EDT ---

verified 
Description is no longer in chinese.

[root@ibm-x3550m3-11 ~]# pulp-admin rpm repo content group --repo-id rhel59-os |more
Conditional Package Names: 
Default:                   True
Default Package Names:     authconfig-gtk, pirut, sabayon, setroubleshoot,
                           system-config-date, system-config-kdump,
                           system-config-keyboard, system-config-language,
                           system-config-lvm, system-config-netboot,
                           system-config-network, system-config-rootpassword,
                           system-config-soundcard, system-config-users
Description:               This group is a collection of graphical
                           administration tools for the system, such as for
                           managing user accounts and configuring system
                           hardware.
Display Order:             1024
Id:                        admin-tools
Langonly:                  None
Mandatory Package Names:   
Name:                      Administration Tools
Optional Package Names:    system-config-kickstart, tunctl
Repo Id:                   rhel59-os
Translated Description:    
  Af:       Hierdie groep is 'n versameling grafiese administrasienutsgoed vir
            die rekenaar, byvoorbeeld vir die bestuur van gebruikersrekeninge en
            die opstelling van rekenaarhardeware.
Comment 1 Preethi Thomas 2013-10-29 10:09:40 EDT

*** This bug has been marked as a duplicate of bug 1024362 ***

Note You need to log in before you can comment on or make changes to this bug.